package marketReseller

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

var _ ResellerModel = (*customResellerModel)(nil)

type (
	// ResellerModel is an interface to be customized, add more methods here,
	// and implement the added methods in customResellerModel.
	ResellerModel interface {
		resellerModel
	}

	customResellerModel struct {
		*defaultResellerModel
	}
)

// NewResellerModel returns a model for the database table.
func NewResellerModel(conn sqlx.SqlConn, c cache.CacheConf, opts ...cache.Option) ResellerModel {
	return &customResellerModel{
		defaultResellerModel: newResellerModel(conn, c, opts...),
	}
}
